Call flext methods manually
Declarations for flext methods

## Macros

#define | FLEXT_CALLMETHOD(M_FUN)
| Call a (already defined) method with no arguments. More...
#define | FLEXT_CALLMETHOD_V(M_FUN, ARGC, ARGV)
| Call a (already defined) method with variable list arguments. More...
#define | FLEXT_CALLMETHOD_A(M_FUN, HDR, ARGC, ARGV)
| Call a (already defined) method with anything arguments. More...
#define | FLEXT_CALLMETHOD_X(M_FUN, DATA)
| Call a (already defined) method with a data package (void *) More...
#define | FLEXT_CALLMETHOD_E(M_FUN, ARG)
| Call a (already defined) method with 1 enum type argument. More...
#define | FLEXT_CALLMETHOD_1(M_FUN, ARG)
| Call a (already defined) method with 1 argument. More...
#define | FLEXT_CALLMETHOD_2(M_FUN, ARG1, ARG2)
| Call a (already defined) method with 2 arguments. More...
#define | FLEXT_CALLMETHOD_3(M_FUN, ARG1, ARG2, ARG3)
| Call a (already defined) method with 3 arguments. More...
#define | FLEXT_CALLMETHOD_4(M_FUN, ARG1, ARG2, ARG3, ARG4)
| Call a (already defined) method with 4 arguments. More...
#define | FLEXT_CALLMETHOD_5(M_FUN, ARG1, ARG2, ARG3, ARG4, ARG5)
| Call a (already defined) method with 5 arguments. More...

## Detailed Description

## Macro Definition Documentation

## FLEXT_CALLMETHOD

#define FLEXT_CALLMETHOD | ( |  | M_FUN | ) |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this)

Call a (already defined) method with no arguments.

## FLEXT_CALLMETHOD_1

#define FLEXT_CALLMETHOD_1 | ( |  | M_FUN,
|  |  | ARG
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,ARG)

Call a (already defined) method with 1 argument.

## FLEXT_CALLMETHOD_2

#define FLEXT_CALLMETHOD_2 | ( |  | M_FUN,
|  |  | ARG1,
|  |  | ARG2
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,ARG1,ARG2)

Call a (already defined) method with 2 arguments.

## FLEXT_CALLMETHOD_3

#define FLEXT_CALLMETHOD_3 | ( |  | M_FUN,
|  |  | ARG1,
|  |  | ARG2,
|  |  | ARG3
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,ARG1,ARG2,ARG3)

Call a (already defined) method with 3 arguments.

## FLEXT_CALLMETHOD_4

#define FLEXT_CALLMETHOD_4 | ( |  | M_FUN,
|  |  | ARG1,
|  |  | ARG2,
|  |  | ARG3,
|  |  | ARG4
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,ARG1,ARG2,ARG3,ARG4)

Call a (already defined) method with 4 arguments.

## FLEXT_CALLMETHOD_5

#define FLEXT_CALLMETHOD_5 | ( |  | M_FUN,
|  |  | ARG1,
|  |  | ARG2,
|  |  | ARG3,
|  |  | ARG4,
|  |  | ARG5
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,ARG1,ARG2,ARG3,ARG4,ARG5)

Call a (already defined) method with 5 arguments.

## FLEXT_CALLMETHOD_A

#define FLEXT_CALLMETHOD_A | ( |  | M_FUN,
|  |  | HDR,
|  |  | ARGC,
|  |  | ARGV
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,(t_symbol *)(HDR),ARGC,(t_atom *)(ARGV))

Call a (already defined) method with anything arguments.

## FLEXT_CALLMETHOD_E

#define FLEXT_CALLMETHOD_E | ( |  | M_FUN,
|  |  | ARG
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,ARG)

Call a (already defined) method with 1 enum type argument.

## FLEXT_CALLMETHOD_V

#define FLEXT_CALLMETHOD_V | ( |  | M_FUN,
|  |  | ARGC,
|  |  | ARGV
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,ARGC,(t_atom *)(ARGV))

Call a (already defined) method with variable list arguments.

## FLEXT_CALLMETHOD_X

#define FLEXT_CALLMETHOD_X | ( |  | M_FUN,
|  |  | DATA
| ) |  |

Value:
\
FLEXT_CALL_PRE(M_FUN)(this,DATA)

Call a (already defined) method with a data package (void *)